User Tools

Site Tools


acer_travelmate_3010-3012wtmi

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

acer_travelmate_3010-3012wtmi [2017/09/30 09:28] (current)
don created
Line 1: Line 1:
 +====== Acer TravelMate 3010-3012WTMi ======
 +===== Introduction =====
 +This is a guide to running Linux with the Acer TravelMate 3010-3012WTMi laptop. Audio is currently problematic on this laptop, but it should be fixed with newer kernel updates.
  
 +This guide is intended to provide you details on how well this laptop works with Linux and which modules you need to configure. For details on how to actually install and configure the required modules have a look at [[Installation Guide|our guides]] section for distribution specific instructions.
 +===== Editing This Page =====
 +If you would like to edit this page please first view our [[Editing Guidelines]].
 +===== Specifications =====
 +
 +| Name|Acer TravelMate 3010-3012WTMi|
 +| Processor|Intel Core Duo T2300 1.66Ghz|
 +| Screen|12.1"​ WXGA|
 +| RAM|512MB|
 +| HDD|80GB|
 +| Optical Drive|External DVD+-RW|
 +| Graphics|Intel Graphics Media Accelerator 950|
 +| Network|10/​100/​1000 Ethernet + Intel 3945 802.11g Wireless|
 +| Other|3 x USB2.0 + 1 x Firewire|
 +===== Linux Compatibility =====
 +^Device^Compatibility^Comments^
 +| Processor|Yes| |
 +| Screen|Yes| |
 +| Optical Drive|Yes| |
 +| Graphics|Yes| |
 +| Sound|Yes| |
 +| Ethernet|Yes| |
 +| Wireless|Yes|Use the [[http://​ipw3945.sourceforge.net|ipw3945]] module|
 +| 56K Modem|Not Tested| |
 +| USB|Yes| |
 +| Firewire|Not Tested| |
 +| Card Reader|Not Tested| |
 +| PCMCIA|Not Tested| |
 +===== Notes =====
 +The native screen resolution of this laptop is 1280x800, however due to the way the Intel Graphics Media Accelerator 950 works this resolution may not be usable right away. Our [[Configuring the Intel Graphics Media Accelerator 900-950 for Linux|Configuring the Intel Graphics Media Accelerator 900 & 950]] guide has more information.
 +
 +The audio controller in the TravelMate 3010 is only supported with [[http://​www.alsa-project.org|ALSA]] version 1.0.13 or higher. At this time no kernel includes a new enough version of ALSA so you will need to compile and install the drivers manually.
 +===== Summary =====
 +As with all Intel Core based laptops you should use a Linux distribution with kernel version 2.6.16 or greater. The audio setup is troublesome at present but this should alleviate itself when newer kernel versions become available.
acer_travelmate_3010-3012wtmi.txt ยท Last modified: 2017/09/30 09:28 by don